(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./compiler", "./tojs/index", "./tophp/index"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var compiler_1 = require("./compiler");
    exports.compile = compiler_1.default;
    var index_1 = require("./tojs/index");
    exports.compileJS = index_1.compile;
    var index_2 = require("./tophp/index");
    exports.compilePHP = index_2.compile;
});
//# sourceMappingURL=index.js.map